SystemOrganization addCategory: #'ElevatorDoor-Exercise'!

TestCase subclass: #ElevatorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:34'!
test001WhenElevatorIsTurnOnThenDoorStartsOpened

	| elevatorController |
		
	elevatorController := ElevatorController new.
		
	self assert: elevatorController isCabinDoorOpened.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:35'!
test002WhenElevatorIsCalledThenStartsClosingDoor

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	  		
	self deny: elevatorController isCabinDoorOpened.
	self assert: elevatorController isCabinDoorClosing.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:36'!
test003WhenDoorIsClosingAndDoorClosedSensorIsActivatedThenDoorStopsClosing

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	  		
	self deny: elevatorController isCabinDoorOpened.
	self deny: elevatorController isCabinDoorClosing.
	self assert: elevatorController isCabinDoorClosed.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:36'!
test004WhenElevatorReachesDestinationThenDoorStartsOpening

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	elevatorController onFloor: 1.
	  		
	self deny: elevatorController isCabinDoorOpened.
	self deny: elevatorController isCabinDoorClosing.
	self deny: elevatorController isCabinDoorClosed.
	self assert: elevatorController isCabinDoorOpening 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:37'!
test005WhenDoorIsOpeningAndOpenedDoorSensorIsActivatedThenDoorStopsOpening

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	elevatorController onFloor: 1.
	elevatorController cabinDoorOpened.
	  		
	self assert: elevatorController isCabinDoorOpened.
	self deny: elevatorController isCabinDoorClosing.
	self deny: elevatorController isCabinDoorClosed.
	self deny: elevatorController isCabinDoorOpening 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:38'!
test006WhenClosingDoorAndOpenDoorButtonIsPushedThenCabinDoorStopsClosingAndStartsOpening

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.

	self assert: elevatorController isCabinDoorClosing.

	elevatorController openDoorButtonPushed.
	  		
	self assert: elevatorController isCabinDoorOpening.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 00:55'!
test007WhenDoorIsClosedAndOpenDoorButtonIsPushedThenCabinDoorRemainsClosed

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	  		
	self assert: elevatorController isCabinDoorClosed.
	
	elevatorController openDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorClosed.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 00:57'!
test008WhenDoorIsOpenedAndOpenDoorButtonIsPushedThenCabinDoorRemainsOpen

	| elevatorController |
		
	elevatorController := ElevatorController new.
	  		
	self assert: elevatorController isCabinDoorOpened.
	
	elevatorController openDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorOpened.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:40'!
test009WhenOpeningDoorAndOpenDoorButtonIsPushedThenCabinDoorRemainsOpening

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	elevatorController onFloor: 1.
	  	  		
	self assert: elevatorController isCabinDoorOpening.

	elevatorController openDoorButtonPushed. 

	self assert: elevatorController isCabinDoorOpening.
	! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 01:00'!
test010WhenDoorIsClosedAndClosedDoorButtonIsPushedThenCabinDoorRemainsClosed

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	  	  		
	self assert: elevatorController isCabinDoorClosed.
	
	elevatorController closeDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorClosed 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 01:00'!
test011WhenDoorIsClosingAndClosedDoorButtonIsPushedThenCabinDoorRemainsClosing

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	  	  		
	self assert: elevatorController isCabinDoorClosing.
	
	elevatorController closeDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorClosing 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 01:00'!
test012WhenDoorIsOpenedAndClosedDoorButtonIsPushedThenCabinDoorStartsClosing

	| elevatorController |
		
	elevatorController := ElevatorController new.
	  		
	self assert: elevatorController isCabinDoorOpened.
	
	elevatorController closeDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorClosing.
! !

!ElevatorTest methodsFor: 'tests' stamp: 'SebastianGarbi 9/24/2013 01:00'!
test013WhenDoorIsOpeningAndClosedDoorButtonIsPushedThenCabinDoorRemainsOpening

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	elevatorController onFloor: 1.  
	  	  		
	self assert: elevatorController isCabinDoorOpening.
	
	elevatorController closeDoorButtonPushed.
	
	self assert: elevatorController isCabinDoorOpening  
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:48'!
test014WhenDoorIsClosedAndDoorOpenedSensorIsActivatedThenAnEmergencyEventIsGenerated

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.
	  	  		
	self assert: elevatorController isCabinDoorClosed.

	self 
		should:  [ elevatorController cabinDoorOpened ]	
		raise: ElevatorEmergency 
		withExceptionDo: [ :anElevatorEmergency | 
			self assert: elevatorController isCabinDoorClosed ]
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:48'!
test015WhenDoorIsClosingAndDoorOpenedSensorIsActivatedThenAnEmergencyEventIsGenerated

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	  	  		
	self assert: elevatorController isCabinDoorClosing.

	self 
		should:  [ elevatorController cabinDoorOpened ]	
		raise: ElevatorEmergency 
		withExceptionDo: [ :anElevatorEmergency | 
			self assert: elevatorController isCabinDoorClosing ]
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:45'!
test016WhenDoorIsOpenedAndDoorOpenedSensorIsActivatedThenNothingHappens

	| elevatorController |
		
	elevatorController := ElevatorController new.
	  	  		
	self assert: elevatorController isCabinDoorOpened.

	self 
		shouldnt:  [ elevatorController cabinDoorOpened ]	
		raise: ElevatorEmergency 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:46'!
test017WhenDoorIsClosedAndDoorClosedSensorIsActivatedThenNothingHappens

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.  
	  	  		
	self assert: elevatorController isCabinDoorClosed.

	self 
		shouldnt:  [ elevatorController cabinDoorClosed ]	
		raise: ElevatorEmergency 
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:48'!
test018WhenDoorIsOpeningAndDoorClosedSensorIsActivatedThenAnEmergencyEventIsGenerated

	| elevatorController |
		
	elevatorController := ElevatorController new.
	elevatorController goUpPushedFromFloor: 1.
	elevatorController cabinDoorClosed.  
	elevatorController onFloor: 1.  
	  	  		
	self assert: elevatorController isCabinDoorOpening.

	self 
		should:  [ elevatorController cabinDoorClosed ]	
		raise: ElevatorEmergency 
		withExceptionDo: [ :anElevatorEmergency | 
			self assert: elevatorController isCabinDoorOpening ]
! !

!ElevatorTest methodsFor: 'tests' stamp: 'HernanWilkinson 9/30/2011 18:49'!
test019WhenDoorIsOpenedAndDoorClosedSensorIsActivatedThenAnEmergencyEventIsGenerated

	| elevatorController |
		
	elevatorController := ElevatorController new.
	  	  		
	self assert: elevatorController isCabinDoorOpened.

	self 
		should:  [ elevatorController cabinDoorClosed ]	
		raise: ElevatorEmergency 
		withExceptionDo: [ :anElevatorEmergency | 
			self assert: elevatorController isCabinDoorOpened ]
! !

Error subclass: #ElevatorEmergency
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!ElevatorEmergency class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:09'!
emergencyMessage
	^'AAAAAAAHHHHH!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!'! !

Object subclass: #CabinDoorStatus
	instanceVariableNames: 'elevatorController'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

CabinDoorStatus subclass: #CabinDoorClosed
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!CabinDoorClosed class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:42'!
newWith: anElevatorController
	^self new initializeWith: anElevatorController.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:14'!
cabinDoorClosed
	^elevatorController whenClosedCabinDoorClosed.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:11'!
cabinDoorOpened
	^elevatorController whenClosedCabinDoorOpened.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:02'!
closeDoorButtonPushed
	^elevatorController whenClosedCloseButtonPushed.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:43'!
isCabinDoorClosed
	^true.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:46'!
onFloor: aSmallInteger 
	^elevatorController whenClosedOnFloor: aSmallInteger.! !

!CabinDoorClosed methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:56'!
openDoorButtonPushed
	^elevatorController whenClosedOpenDoorButtonPushed.! !

CabinDoorStatus subclass: #CabinDoorClosing
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!CabinDoorClosing class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:26'!
newWith: anElevatorController
	^self new initializeWith: anElevatorController.! !

!CabinDoorClosing methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:40'!
cabinDoorClosed
	^elevatorController whenClosingCabinDoorClosed.! !

!CabinDoorClosing methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:12'!
cabinDoorOpened
	^elevatorController whenClosingCabinDoorOpened.! !

!CabinDoorClosing methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:03'!
closeDoorButtonPushed
	^elevatorController whenClosingCloseButtonPushed.! !

!CabinDoorClosing methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:27'!
isCabinDoorClosing
	^true.! !

!CabinDoorClosing methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:52'!
openDoorButtonPushed
	^elevatorController whenClosingOpenDoorButtonPushed.! !

CabinDoorStatus subclass: #CabinDoorOpened
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!CabinDoorOpened class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:19'!
newWith: anElevatorController
	^self new initializeWith: anElevatorController.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:16'!
cabinDoorClosed
	^elevatorController whenOpenedCabinDoorClosed.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:13'!
cabinDoorOpened
	^elevatorController whenOpenedCabinDoorOpened.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:04'!
closeDoorButtonPushed
	^elevatorController whenOpenedCloseButtonPushed.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:23'!
goUpPushedFromFloor: aSmallInteger 
	^elevatorController whenOpenedGoUpPushedFromFloor: aSmallInteger.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:15'!
isCabinDoorOpened
	^true.! !

!CabinDoorOpened methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:58'!
openDoorButtonPushed
	^elevatorController whenOpenedOpenDoorButtonPushed.! !

CabinDoorStatus subclass: #CabinDoorOpening
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!CabinDoorOpening class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:47'!
newWith: anElevatorController
	^self new initializeWith: anElevatorController.! !

!CabinDoorOpening methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:16'!
cabinDoorClosed
	^elevatorController whenOpeningCabinDoorClosed.! !

!CabinDoorOpening methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:50'!
cabinDoorOpened
	^elevatorController whenOpeningCabinDoorOpened.! !

!CabinDoorOpening methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:06'!
closeDoorButtonPushed
	^elevatorController whenOpeningCloseButtonPushed.! !

!CabinDoorOpening methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:48'!
isCabinDoorOpening
	^true.! !

!CabinDoorOpening methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:59'!
openDoorButtonPushed
	^elevatorController whenOpeningOpenDoorButtonPushed.! !

!CabinDoorStatus class methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:12'!
newWith: anElevatorController 
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:39'!
cabinDoorClosed
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:49'!
cabinDoorOpened
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 01:01'!
closeDoorButtonPushed
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:21'!
goUpPushedFromFloor: aSmallInteger 
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:26'!
initializeWith: anElevatorController
	elevatorController := anElevatorController.
	^self.! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:20'!
isCabinDoorClosed
	^false.! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:19'!
isCabinDoorClosing
	^false.! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:15'!
isCabinDoorOpened
	^false.! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/23/2013 23:20'!
isCabinDoorOpening
	^false.! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:44'!
onFloor: aSmallInteger 
	self subclassResponsibility .! !

!CabinDoorStatus methodsFor: 'as yet unclassified' stamp: 'SebastianGarbi 9/24/2013 00:51'!
openDoorButtonPushed
	self subclassResponsibility .! !

Object subclass: #ElevatorController
	instanceVariableNames: 'cabinDoorStatus'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ElevatorDoor-Exercise'!

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/24/2013 00:39'!
cabinDoorClosed
	^cabinDoorStatus cabinDoorClosed.! !

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/24/2013 00:49'!
cabinDoorOpened
	^cabinDoorStatus cabinDoorOpened.! !

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/24/2013 01:01'!
closeDoorButtonPushed
	^cabinDoorStatus closeDoorButtonPushed.! !

!ElevatorController methodsFor: 'error' stamp: 'SebastianGarbi 9/24/2013 01:11'!
emergency
	ElevatorEmergency signal: ElevatorEmergency emergencyMessage.! !

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/23/2013 23:21'!
goUpPushedFromFloor: aSmallInteger 
	^cabinDoorStatus goUpPushedFromFloor: aSmallInteger.
! !

!ElevatorController methodsFor: 'initialize-release' stamp: 'SebastianGarbi 9/23/2013 23:11'!
initialize
	cabinDoorStatus := CabinDoorOpened newWith: self.! !

!ElevatorController methodsFor: 'testing' stamp: 'SebastianGarbi 9/24/2013 00:43'!
isCabinDoorClosed
	^cabinDoorStatus isCabinDoorClosed.! !

!ElevatorController methodsFor: 'testing' stamp: 'SebastianGarbi 9/23/2013 23:27'!
isCabinDoorClosing
	^cabinDoorStatus isCabinDoorClosing.! !

!ElevatorController methodsFor: 'testing' stamp: 'SebastianGarbi 9/23/2013 23:02'!
isCabinDoorOpened
	^cabinDoorStatus isCabinDoorOpened.! !

!ElevatorController methodsFor: 'testing' stamp: 'SebastianGarbi 9/24/2013 00:48'!
isCabinDoorOpening
	^cabinDoorStatus isCabinDoorOpening.! !

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/24/2013 00:43'!
onFloor: aSmallInteger 
	^cabinDoorStatus onFloor: aSmallInteger ! !

!ElevatorController methodsFor: 'event' stamp: 'SebastianGarbi 9/24/2013 00:51'!
openDoorButtonPushed
	^cabinDoorStatus openDoorButtonPushed.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:15'!
whenClosedCabinDoorClosed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:11'!
whenClosedCabinDoorOpened
	self emergency.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:02'!
whenClosedCloseButtonPushed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:47'!
whenClosedOnFloor: aSmallInteger 
	cabinDoorStatus :=  CabinDoorOpening newWith: self.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:56'!
whenClosedOpenDoorButtonPushed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:41'!
whenClosingCabinDoorClosed
	cabinDoorStatus := CabinDoorClosed newWith: self.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:12'!
whenClosingCabinDoorOpened
	self emergency.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:03'!
whenClosingCloseButtonPushed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:54'!
whenClosingOpenDoorButtonPushed
	cabinDoorStatus := CabinDoorOpening newWith: self.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:17'!
whenOpenedCabinDoorClosed
	self emergency .! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:13'!
whenOpenedCabinDoorOpened! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:05'!
whenOpenedCloseButtonPushed
	cabinDoorStatus := CabinDoorClosing newWith: self.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/23/2013 23:24'!
whenOpenedGoUpPushedFromFloor: aSmallInteger 
	cabinDoorStatus := CabinDoorClosing newWith: self.! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:58'!
whenOpenedOpenDoorButtonPushed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:16'!
whenOpeningCabinDoorClosed
	self emergency .! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:50'!
whenOpeningCabinDoorOpened
	cabinDoorStatus := CabinDoorOpened newWith: self .! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 01:06'!
whenOpeningCloseButtonPushed! !

!ElevatorController methodsFor: 'when status event' stamp: 'SebastianGarbi 9/24/2013 00:59'!
whenOpeningOpenDoorButtonPushed
! !
